Package org.eclipse.microprofile.config.tck.converters.implicit

# Class ConvTestSequenceOfBeforeValueOf

java.lang.Object
org.eclipse.microprofile.config.tck.converters.implicit.ConvTestSequenceOfBeforeValueOf

public class ConvTestSequenceOfBeforeValueOf extends Object
Part of the implicit Converter test. Sample class which has a of(String) and valueOf(String) method. The method of() should be used instead of valueOf().

Author:
  Emily Jiang

## Constructor Summary

Constructors
Constructor
Description
`ConvTestSequenceOfBeforeValueOf()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getVal()`
`static ConvTestSequenceOfBeforeValueOf`
`of(String val)`
`static ConvTestSequenceOfBeforeValueOf`
`valueOf(String val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvTestSequenceOfBeforeValueOf

public ConvTestSequenceOfBeforeValueOf()

## Method Details

### of

public static ConvTestSequenceOfBeforeValueOf of(String val)

### valueOf

public static ConvTestSequenceOfBeforeValueOf valueOf(String val)

### getVal

public String getVal()